Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers.Test/TestProtos/UnitTestCustomOptionsProtoFile.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers.Test/TestProtos/UnitTestCustomOptionsProtoFile.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers.Test/TestProtos/UnitTestCustomOptionsProtoFile.cs	(revision 4068)
@@ -1187,22 +1185,22 @@
       }
     }
-    
+
     public static DummyMessageInvalidAsOptionType ParseFrom(pb::ByteString data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static DummyMessageInvalidAsOptionType ParseFrom(pb::ByteString data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static DummyMessageInvalidAsOptionType ParseFrom(byte[] data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static DummyMessageInvalidAsOptionType ParseFrom(byte[] data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static DummyMessageInvalidAsOptionType ParseFrom(global::System.IO.Stream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static DummyMessageInvalidAsOptionType ParseFrom(global::System.IO.Stream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static DummyMessageInvalidAsOptionType ParseDelimitedFrom(global::System.IO.Stream input) {
@@ -1213,8 +1211,8 @@
     }
     public static DummyMessageInvalidAsOptionType ParseFrom(pb::CodedInputStream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static DummyMessageInvalidAsOptionType ParseFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static Builder CreateBuilder() { return new Builder(); }
@@ -1222,36 +1220,36 @@
     public override Builder CreateBuilderForType() { return new Builder(); }
     public static Builder CreateBuilder(DummyMessageInvalidAsOptionType prototype) {
-      return (Builder) new Builder().MergeFrom(prototype);
-    }
-    
+      return (Builder)new Builder().MergeFrom(prototype);
+    }
+
     public sealed partial class Builder : pb::GeneratedBuilder<DummyMessageInvalidAsOptionType, Builder> {
       protected override Builder ThisBuilder {
         get { return this; }
       }
-      public Builder() {}
-      
+      public Builder() { }
+
       DummyMessageInvalidAsOptionType result = new DummyMessageInvalidAsOptionType();
-      
+
       protected override DummyMessageInvalidAsOptionType MessageBeingBuilt {
         get { return result; }
       }
-      
+
       public override Builder Clear() {
         result = new DummyMessageInvalidAsOptionType();
         return this;
       }
-      
+
       public override Builder Clone() {
         return new Builder().MergeFrom(result);
       }
-      
+
       public override pbd::MessageDescriptor DescriptorForType {
         get { return global::Google.ProtocolBuffers.TestProtos.DummyMessageInvalidAsOptionType.Descriptor; }
       }
-      
+
       public override DummyMessageInvalidAsOptionType DefaultInstanceForType {
         get { return global::Google.ProtocolBuffers.TestProtos.DummyMessageInvalidAsOptionType.DefaultInstance; }
       }
-      
+
       public override DummyMessageInvalidAsOptionType BuildPartial() {
         if (result == null) {
@@ -1262,8 +1260,8 @@
         return returnMe;
       }
-      
+
       public override Builder MergeFrom(pb::IMessage other) {
         if (other is DummyMessageInvalidAsOptionType) {
-          return MergeFrom((DummyMessageInvalidAsOptionType) other);
+          return MergeFrom((DummyMessageInvalidAsOptionType)other);
         } else {
           base.MergeFrom(other);
@@ -1271,5 +1269,5 @@
         }
       }
-      
+
       public override Builder MergeFrom(DummyMessageInvalidAsOptionType other) {
         if (other == global::Google.ProtocolBuffers.TestProtos.DummyMessageInvalidAsOptionType.DefaultInstance) return this;
@@ -1277,9 +1275,9 @@
         return this;
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input) {
         return MergeFrom(input, pb::ExtensionRegistry.Empty);
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
         pb::UnknownFieldSet.Builder unknownFields = null;
@@ -1288,11 +1286,4 @@
           switch (tag) {
             case 0: {
-              if (unknownFields != null) {
-                this.UnknownFields = unknownFields.Build();
-              }
-              return this;
-            }
-            default: {
-              if (pb::WireFormat.IsEndGroupTag(tag)) {
                 if (unknownFields != null) {
                   this.UnknownFields = unknownFields.Build();
@@ -1300,14 +1291,21 @@
                 return this;
               }
-              if (unknownFields == null) {
-                unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+            default: {
+                if (pb::WireFormat.IsEndGroupTag(tag)) {
+                  if (unknownFields != null) {
+                    this.UnknownFields = unknownFields.Build();
+                  }
+                  return this;
+                }
+                if (unknownFields == null) {
+                  unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+                }
+                ParseUnknownField(input, unknownFields, extensionRegistry, tag);
+                break;
               }
-              ParseUnknownField(input, unknownFields, extensionRegistry, tag);
-              break;
-            }
-          }
-        }
-      }
-      
+          }
+        }
+      }
+
     }
     static DummyMessageInvalidAsOptionType() {
@@ -1315,5 +1313,5 @@
     }
   }
-  
+
   public sealed partial class CustomOptionMinIntegerValues : pb::GeneratedMessage<CustomOptionMinIntegerValues, CustomOptionMinIntegerValues.Builder> {
     private static readonly CustomOptionMinIntegerValues defaultInstance = new Builder().BuildPartial();
@@ -1321,21 +1319,21 @@
       get { return defaultInstance; }
     }
-    
+
     public override CustomOptionMinIntegerValues DefaultInstanceForType {
       get { return defaultInstance; }
     }
-    
+
     protected override CustomOptionMinIntegerValues ThisMessage {
       get { return this; }
     }
-    
+
     public static pbd::MessageDescriptor Descriptor {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_CustomOptionMinIntegerValues__Descriptor; }
     }
-    
+
     protected override pb::FieldAccess.FieldAccessorTable<CustomOptionMinIntegerValues, CustomOptionMinIntegerValues.Builder> InternalFieldAccessors {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_CustomOptionMinIntegerValues__FieldAccessorTable; }
     }
-    
+
     public override bool IsInitialized {
       get {
@@ -1343,10 +1341,10 @@
       }
     }
-    
+
     public override void WriteTo(pb::CodedOutputStream output) {
       int size = SerializedSize;
       UnknownFields.WriteTo(output);
     }
-    
+
     private int memoizedSerializedSize = -1;
     public override int SerializedSize {
@@ -1354,5 +1352,5 @@
         int size = memoizedSerializedSize;
         if (size != -1) return size;
-        
+
         size = 0;
         size += UnknownFields.SerializedSize;
@@ -1361,22 +1359,22 @@
       }
     }
-    
+
     public static CustomOptionMinIntegerValues ParseFrom(pb::ByteString data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static CustomOptionMinIntegerValues ParseFrom(pb::ByteString data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static CustomOptionMinIntegerValues ParseFrom(byte[] data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static CustomOptionMinIntegerValues ParseFrom(byte[] data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static CustomOptionMinIntegerValues ParseFrom(global::System.IO.Stream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static CustomOptionMinIntegerValues ParseFrom(global::System.IO.Stream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static CustomOptionMinIntegerValues ParseDelimitedFrom(global::System.IO.Stream input) {
@@ -1387,8 +1385,8 @@
     }
     public static CustomOptionMinIntegerValues ParseFrom(pb::CodedInputStream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static CustomOptionMinIntegerValues ParseFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static Builder CreateBuilder() { return new Builder(); }
@@ -1396,36 +1394,36 @@
     public override Builder CreateBuilderForType() { return new Builder(); }
     public static Builder CreateBuilder(CustomOptionMinIntegerValues prototype) {
-      return (Builder) new Builder().MergeFrom(prototype);
-    }
-    
+      return (Builder)new Builder().MergeFrom(prototype);
+    }
+
     public sealed partial class Builder : pb::GeneratedBuilder<CustomOptionMinIntegerValues, Builder> {
       protected override Builder ThisBuilder {
         get { return this; }
       }
-      public Builder() {}
-      
+      public Builder() { }
+
       CustomOptionMinIntegerValues result = new CustomOptionMinIntegerValues();
-      
+
       protected override CustomOptionMinIntegerValues MessageBeingBuilt {
         get { return result; }
       }
-      
+
       public override Builder Clear() {
         result = new CustomOptionMinIntegerValues();
         return this;
       }
-      
+
       public override Builder Clone() {
         return new Builder().MergeFrom(result);
       }
-      
+
       public override pbd::MessageDescriptor DescriptorForType {
         get { return global::Google.ProtocolBuffers.TestProtos.CustomOptionMinIntegerValues.Descriptor; }
       }
-      
+
       public override CustomOptionMinIntegerValues DefaultInstanceForType {
         get { return global::Google.ProtocolBuffers.TestProtos.CustomOptionMinIntegerValues.DefaultInstance; }
       }
-      
+
       public override CustomOptionMinIntegerValues BuildPartial() {
         if (result == null) {
@@ -1436,8 +1434,8 @@
         return returnMe;
       }
-      
+
       public override Builder MergeFrom(pb::IMessage other) {
         if (other is CustomOptionMinIntegerValues) {
-          return MergeFrom((CustomOptionMinIntegerValues) other);
+          return MergeFrom((CustomOptionMinIntegerValues)other);
         } else {
           base.MergeFrom(other);
@@ -1445,5 +1443,5 @@
         }
       }
-      
+
       public override Builder MergeFrom(CustomOptionMinIntegerValues other) {
         if (other == global::Google.ProtocolBuffers.TestProtos.CustomOptionMinIntegerValues.DefaultInstance) return this;
@@ -1451,9 +1449,9 @@
         return this;
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input) {
         return MergeFrom(input, pb::ExtensionRegistry.Empty);
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
         pb::UnknownFieldSet.Builder unknownFields = null;
@@ -1462,11 +1460,4 @@
           switch (tag) {
             case 0: {
-              if (unknownFields != null) {
-                this.UnknownFields = unknownFields.Build();
-              }
-              return this;
-            }
-            default: {
-              if (pb::WireFormat.IsEndGroupTag(tag)) {
                 if (unknownFields != null) {
                   this.UnknownFields = unknownFields.Build();
@@ -1474,14 +1465,21 @@
                 return this;
               }
-              if (unknownFields == null) {
-                unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+            default: {
+                if (pb::WireFormat.IsEndGroupTag(tag)) {
+                  if (unknownFields != null) {
+                    this.UnknownFields = unknownFields.Build();
+                  }
+                  return this;
+                }
+                if (unknownFields == null) {
+                  unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+                }
+                ParseUnknownField(input, unknownFields, extensionRegistry, tag);
+                break;
               }
-              ParseUnknownField(input, unknownFields, extensionRegistry, tag);
-              break;
-            }
-          }
-        }
-      }
-      
+          }
+        }
+      }
+
     }
     static CustomOptionMinIntegerValues() {
@@ -1489,5 +1487,5 @@
     }
   }
-  
+
   public sealed partial class CustomOptionMaxIntegerValues : pb::GeneratedMessage<CustomOptionMaxIntegerValues, CustomOptionMaxIntegerValues.Builder> {
     private static readonly CustomOptionMaxIntegerValues defaultInstance = new Builder().BuildPartial();
@@ -1495,21 +1493,21 @@
       get { return defaultInstance; }
     }
-    
+
     public override CustomOptionMaxIntegerValues DefaultInstanceForType {
       get { return defaultInstance; }
     }
-    
+
     protected override CustomOptionMaxIntegerValues ThisMessage {
       get { return this; }
     }
-    
+
     public static pbd::MessageDescriptor Descriptor {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_CustomOptionMaxIntegerValues__Descriptor; }
     }
-    
+
     protected override pb::FieldAccess.FieldAccessorTable<CustomOptionMaxIntegerValues, CustomOptionMaxIntegerValues.Builder> InternalFieldAccessors {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_CustomOptionMaxIntegerValues__FieldAccessorTable; }
     }
-    
+
     public override bool IsInitialized {
       get {
@@ -1517,10 +1515,10 @@
       }
     }
-    
+
     public override void WriteTo(pb::CodedOutputStream output) {
       int size = SerializedSize;
       UnknownFields.WriteTo(output);
     }
-    
+
     private int memoizedSerializedSize = -1;
     public override int SerializedSize {
@@ -1528,5 +1526,5 @@
         int size = memoizedSerializedSize;
         if (size != -1) return size;
-        
+
         size = 0;
         size += UnknownFields.SerializedSize;
@@ -1535,22 +1533,22 @@
       }
     }
-    
+
     public static CustomOptionMaxIntegerValues ParseFrom(pb::ByteString data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static CustomOptionMaxIntegerValues ParseFrom(pb::ByteString data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static CustomOptionMaxIntegerValues ParseFrom(byte[] data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static CustomOptionMaxIntegerValues ParseFrom(byte[] data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static CustomOptionMaxIntegerValues ParseFrom(global::System.IO.Stream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static CustomOptionMaxIntegerValues ParseFrom(global::System.IO.Stream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static CustomOptionMaxIntegerValues ParseDelimitedFrom(global::System.IO.Stream input) {
@@ -1561,8 +1559,8 @@
     }
     public static CustomOptionMaxIntegerValues ParseFrom(pb::CodedInputStream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static CustomOptionMaxIntegerValues ParseFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static Builder CreateBuilder() { return new Builder(); }
@@ -1570,36 +1568,36 @@
     public override Builder CreateBuilderForType() { return new Builder(); }
     public static Builder CreateBuilder(CustomOptionMaxIntegerValues prototype) {
-      return (Builder) new Builder().MergeFrom(prototype);
-    }
-    
+      return (Builder)new Builder().MergeFrom(prototype);
+    }
+
     public sealed partial class Builder : pb::GeneratedBuilder<CustomOptionMaxIntegerValues, Builder> {
       protected override Builder ThisBuilder {
         get { return this; }
       }
-      public Builder() {}
-      
+      public Builder() { }
+
       CustomOptionMaxIntegerValues result = new CustomOptionMaxIntegerValues();
-      
+
       protected override CustomOptionMaxIntegerValues MessageBeingBuilt {
         get { return result; }
       }
-      
+
       public override Builder Clear() {
         result = new CustomOptionMaxIntegerValues();
         return this;
       }
-      
+
       public override Builder Clone() {
         return new Builder().MergeFrom(result);
       }
-      
+
       public override pbd::MessageDescriptor DescriptorForType {
         get { return global::Google.ProtocolBuffers.TestProtos.CustomOptionMaxIntegerValues.Descriptor; }
       }
-      
+
       public override CustomOptionMaxIntegerValues DefaultInstanceForType {
         get { return global::Google.ProtocolBuffers.TestProtos.CustomOptionMaxIntegerValues.DefaultInstance; }
       }
-      
+
       public override CustomOptionMaxIntegerValues BuildPartial() {
         if (result == null) {
@@ -1610,8 +1608,8 @@
         return returnMe;
       }
-      
+
       public override Builder MergeFrom(pb::IMessage other) {
         if (other is CustomOptionMaxIntegerValues) {
-          return MergeFrom((CustomOptionMaxIntegerValues) other);
+          return MergeFrom((CustomOptionMaxIntegerValues)other);
         } else {
           base.MergeFrom(other);
@@ -1619,5 +1617,5 @@
         }
       }
-      
+
       public override Builder MergeFrom(CustomOptionMaxIntegerValues other) {
         if (other == global::Google.ProtocolBuffers.TestProtos.CustomOptionMaxIntegerValues.DefaultInstance) return this;
@@ -1625,9 +1623,9 @@
         return this;
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input) {
         return MergeFrom(input, pb::ExtensionRegistry.Empty);
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
         pb::UnknownFieldSet.Builder unknownFields = null;
@@ -1636,11 +1634,4 @@
           switch (tag) {
             case 0: {
-              if (unknownFields != null) {
-                this.UnknownFields = unknownFields.Build();
-              }
-              return this;
-            }
-            default: {
-              if (pb::WireFormat.IsEndGroupTag(tag)) {
                 if (unknownFields != null) {
                   this.UnknownFields = unknownFields.Build();
@@ -1648,14 +1639,21 @@
                 return this;
               }
-              if (unknownFields == null) {
-                unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+            default: {
+                if (pb::WireFormat.IsEndGroupTag(tag)) {
+                  if (unknownFields != null) {
+                    this.UnknownFields = unknownFields.Build();
+                  }
+                  return this;
+                }
+                if (unknownFields == null) {
+                  unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+                }
+                ParseUnknownField(input, unknownFields, extensionRegistry, tag);
+                break;
               }
-              ParseUnknownField(input, unknownFields, extensionRegistry, tag);
-              break;
-            }
-          }
-        }
-      }
-      
+          }
+        }
+      }
+
     }
     static CustomOptionMaxIntegerValues() {
@@ -1663,5 +1661,5 @@
     }
   }
-  
+
   public sealed partial class CustomOptionOtherValues : pb::GeneratedMessage<CustomOptionOtherValues, CustomOptionOtherValues.Builder> {
     private static readonly CustomOptionOtherValues defaultInstance = new Builder().BuildPartial();
@@ -1669,21 +1667,21 @@
       get { return defaultInstance; }
     }
-    
+
     public override CustomOptionOtherValues DefaultInstanceForType {
       get { return defaultInstance; }
     }
-    
+
     protected override CustomOptionOtherValues ThisMessage {
       get { return this; }
     }
-    
+
     public static pbd::MessageDescriptor Descriptor {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_CustomOptionOtherValues__Descriptor; }
     }
-    
+
     protected override pb::FieldAccess.FieldAccessorTable<CustomOptionOtherValues, CustomOptionOtherValues.Builder> InternalFieldAccessors {
       get { return global::Google.ProtocolBuffers.TestProtos.UnitTestCustomOptionsProtoFile.internal__static_protobuf_unittest_CustomOptionOtherValues__FieldAccessorTable; }
     }
-    
+
     public override bool IsInitialized {
       get {
@@ -1691,10 +1689,10 @@
       }
     }
-    
+
     public override void WriteTo(pb::CodedOutputStream output) {
       int size = SerializedSize;
       UnknownFields.WriteTo(output);
     }
-    
+
     private int memoizedSerializedSize = -1;
     public override int SerializedSize {
@@ -1702,5 +1700,5 @@
         int size = memoizedSerializedSize;
         if (size != -1) return size;
-        
+
         size = 0;
         size += UnknownFields.SerializedSize;
@@ -1709,22 +1707,22 @@
       }
     }
-    
+
     public static CustomOptionOtherValues ParseFrom(pb::ByteString data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static CustomOptionOtherValues ParseFrom(pb::ByteString data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static CustomOptionOtherValues ParseFrom(byte[] data) {
-      return ((Builder) CreateBuilder().MergeFrom(data)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data)).BuildParsed();
     }
     public static CustomOptionOtherValues ParseFrom(byte[] data, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(data, extensionRegistry)).BuildParsed();
     }
     public static CustomOptionOtherValues ParseFrom(global::System.IO.Stream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static CustomOptionOtherValues ParseFrom(global::System.IO.Stream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static CustomOptionOtherValues ParseDelimitedFrom(global::System.IO.Stream input) {
@@ -1735,8 +1733,8 @@
     }
     public static CustomOptionOtherValues ParseFrom(pb::CodedInputStream input) {
-      return ((Builder) CreateBuilder().MergeFrom(input)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input)).BuildParsed();
     }
     public static CustomOptionOtherValues ParseFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
-      return ((Builder) CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
+      return ((Builder)CreateBuilder().MergeFrom(input, extensionRegistry)).BuildParsed();
     }
     public static Builder CreateBuilder() { return new Builder(); }
@@ -1744,36 +1742,36 @@
     public override Builder CreateBuilderForType() { return new Builder(); }
     public static Builder CreateBuilder(CustomOptionOtherValues prototype) {
-      return (Builder) new Builder().MergeFrom(prototype);
-    }
-    
+      return (Builder)new Builder().MergeFrom(prototype);
+    }
+
     public sealed partial class Builder : pb::GeneratedBuilder<CustomOptionOtherValues, Builder> {
       protected override Builder ThisBuilder {
         get { return this; }
       }
-      public Builder() {}
-      
+      public Builder() { }
+
       CustomOptionOtherValues result = new CustomOptionOtherValues();
-      
+
       protected override CustomOptionOtherValues MessageBeingBuilt {
         get { return result; }
       }
-      
+
       public override Builder Clear() {
         result = new CustomOptionOtherValues();
         return this;
       }
-      
+
       public override Builder Clone() {
         return new Builder().MergeFrom(result);
       }
-      
+
       public override pbd::MessageDescriptor DescriptorForType {
         get { return global::Google.ProtocolBuffers.TestProtos.CustomOptionOtherValues.Descriptor; }
       }
-      
+
       public override CustomOptionOtherValues DefaultInstanceForType {
         get { return global::Google.ProtocolBuffers.TestProtos.CustomOptionOtherValues.DefaultInstance; }
       }
-      
+
       public override CustomOptionOtherValues BuildPartial() {
         if (result == null) {
@@ -1784,8 +1782,8 @@
         return returnMe;
       }
-      
+
       public override Builder MergeFrom(pb::IMessage other) {
         if (other is CustomOptionOtherValues) {
-          return MergeFrom((CustomOptionOtherValues) other);
+          return MergeFrom((CustomOptionOtherValues)other);
         } else {
           base.MergeFrom(other);
@@ -1793,5 +1791,5 @@
         }
       }
-      
+
       public override Builder MergeFrom(CustomOptionOtherValues other) {
         if (other == global::Google.ProtocolBuffers.TestProtos.CustomOptionOtherValues.DefaultInstance) return this;
@@ -1799,9 +1797,9 @@
         return this;
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input) {
         return MergeFrom(input, pb::ExtensionRegistry.Empty);
       }
-      
+
       public override Builder MergeFrom(pb::CodedInputStream input, pb::ExtensionRegistry extensionRegistry) {
         pb::UnknownFieldSet.Builder unknownFields = null;
@@ -1810,11 +1808,4 @@
           switch (tag) {
             case 0: {
-              if (unknownFields != null) {
-                this.UnknownFields = unknownFields.Build();
-              }
-              return this;
-            }
-            default: {
-              if (pb::WireFormat.IsEndGroupTag(tag)) {
                 if (unknownFields != null) {
                   this.UnknownFields = unknownFields.Build();
@@ -1822,14 +1813,21 @@
                 return this;
               }
-              if (unknownFields == null) {
-                unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+            default: {
+                if (pb::WireFormat.IsEndGroupTag(tag)) {
+                  if (unknownFields != null) {
+                    this.UnknownFields = unknownFields.Build();
+                  }
+                  return this;
+                }
+                if (unknownFields == null) {
+                  unknownFields = pb::UnknownFieldSet.CreateBuilder(this.UnknownFields);
+                }
+                ParseUnknownField(input, unknownFields, extensionRegistry, tag);
+                break;
               }
-              ParseUnknownField(input, unknownFields, extensionRegistry, tag);
-              break;
-            }
-          }
-        }
-      }
-      
+          }
+        }
+      }
+
     }
     static CustomOptionOtherValues() {
@@ -1837,5 +1835,5 @@
     }
   }
-  
+
   public sealed partial class SettingRealsFromPositiveInts : pb::GeneratedMessage<SettingRealsFromPositiveInts, SettingRealsFromPositiveInts.Builder> {
     private static readonly SettingRealsFromPositiveInts defaultInstance = new Builder().BuildPartial();
